OpenNMS API 1.2.9

## org.opennms.web.parsers
Class XMLParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.opennms.web.parsers.XMLParseException

All Implemented Interfaces:
  java.io.Serializable

public class XMLParseException
extends java.lang.RuntimeException

This exception is used to indicate that an exception has occured during the parsing of an xml file. It extends from RuntimeException to allow the existing parsers to remain unchanged (runtime exceptions don't have to be caught) but to allow new parsers to gain a debug advantage. This should be changed to extend from Exception when all existing parsers can be changed.

Version:
  1.1.1.1
Author:
  Jason Johns , OpenNMS
See Also:
  Serialized Form

Field Summary
`private java.lang.Throwable` `rootCause`

Fields inherited from class java.lang.RuntimeException
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`XMLParseException()`
`XMLParseException(java.lang.String message)`
`XMLParseException(java.lang.String message, java.lang.Throwable rootCause)`
`XMLParseException(java.lang.Throwable rootCause)`

Method Summary
`java.lang.Throwable` `getRootCause()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### rootCause

    private java.lang.Throwable rootCause

Constructor Detail

### XMLParseException

    public XMLParseException()

### XMLParseException

    public XMLParseException(java.lang.String message)

### XMLParseException

    public XMLParseException(java.lang.String message,
                             java.lang.Throwable rootCause)

### XMLParseException

    public XMLParseException(java.lang.Throwable rootCause)

Method Detail

### getRootCause

    public java.lang.Throwable getRootCause()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.